<?php
/**
 * This file contains the EE_Messages_Template_Pack_Kizomba_Nigeria_Pack
 * @package      kizomba-nigeria-messages-template-pack
 * @subpackage messages
 * @since           4.5.0
 */
if ( ! defined('EVENT_ESPRESSO_VERSION')) exit('No direct script access allowed');

/**
 * This is a new template pack for the ee messages template pack system.
 *
 * @package        kizomba-nigeria-messages-template-pack
 * @subpackage  messages
 * @since            4.5.0
 * @author          George Nnanwubar
 */
class EE_Messages_Template_Pack_Kizomba_Nigeria_Pack extends EE_Messages_Template_Pack {

    public function _set_props() {
        $this->label = __('Kizomba Nigeria Template', 'event_espresso');
        $this->dbref = 'kizomba_nigeria_pack';
        $this->description = __('This is the official event espresso messages template pack for kizomba Nigeria.', 'event_espresso');
        $this->_base_url = EE_KZN_MSG_TP_URL . 'templates/';
        $this->_base_path = EE_KZN_MSG_TP_PATH . 'templates/';

		$this->_supports = array(
			'email' => array(
				'cancelled_registration', 'declined_registration', 'not_approved_registration', 'pending_approval', 'registration', 'registration_summary',
				'payment_declined', 'payment', 'payment_refund', 'payment_reminder', 'payment_failed', 'payment_cancelled',
				'ticket_notice', 'newsletter'
			),
			'html' => array(
				'receipt', 'invoice', 
				'ticketing'
			)
		);

        //here we list what variations are supported.  This addon doesn't support any extra variations.
        //Remember that ALL variations for your template pack must be in a folder located at $this->_base_path '/variations'.  The variation file names should match what each messenger expects.  So you may need to look at the messenger classes for the messengers you support to see what possible variations might be requested by the messenger.
        $this->_variations = array();

        //all template packs can define the default variation.  You may want to override the label that describes this default, and you do so via this property.  Indexes are the messenger you wish to override the default label for and values are the new label.		
		$this->_default_variation_labels = array(
			'email' => __('Kizomba Nigeria Default', 'event_espresso' ),
			'html' =>  __('Kizomba Nigeria Simple', 'event_espresso' )
		);
    }
}
